WireMock
utils Wiremock

# get_wm_params

Calculate WireMock parameters

Run it now
View details

Type |
Module | chaoswm.utils
Name | get_wm_params
Return | Union[Dict[str, Any], NoneType]

Usage

JSON

    {
      "name": "get-wm-params",
      "type": "",
      "provider": {
        "type": "python",
        "module": "chaoswm.utils",
        "func": "get_wm_params",
        "arguments": {
          "c": {}
        }
      }
    }

YAML

    name: get-wm-params
    provider:
      arguments:
        c: {}
      func: get_wm_params
      module: chaoswm.utils
      type: python
    type: ""

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
c | mapping | null | No | Configuration | Server configuration

Signature

    def get_wm_params(c: Dict[str, Any]) -> Union[Dict[str, Any], NoneType]:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `chunked_dribble_delay`

  Adds a chunked dribble delay to a list of mappings
- WireMock
  action Wiremock

  ## `populate_from_dir`

  Adds all mappings found in the passed folder
- WireMock
  action Wiremock

  ## `up`

  Deletes all delays connected with a list of mappings